Summary:     RSS headline delivery service for the jabber server
Name:        jabber-janchor
Version:     0.3.9a
Release:     4.pp
License:     JOSL, GPL
Group:       Environment/Daemons
Source0:     http://www.jabberstudio.org/files/janchor/janchor-%{version}.tar.gz
Source1:     jabberd-janchor.init
Patch0:      janchor-%{version}-config.patch
Patch1:      janchor-%{version}-fixes.patch
URL:         http://janchor.jabberstudio.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Jeremy Nickurak
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    perl
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/chkconfig /bin/chown /bin/chmod /bin/echo /bin/mkdir
BuildPrereq: /bin/mkdir /usr/bin/make /usr/bin/install perl
BuildArch:   noarch
ExclusiveOS: linux


%description
Jabber is a new, open-source IM platform designed to be
open, fast, and easy to use and extend. It works directly
over the Internet, has distributed servers, utilizes an
XML-based protocol, and has transparent compatibility with
other IM systems (ICQ, AIM, Yahoo, MSN, IRC, SMTP, etc).

This package contains the Janchor RSS headline delivery
service component.


%prep
%setup -q -n janchor
%patch0 -p1
%patch1 -p1


%build


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/jabber
mkdir -p $RPM_BUILD_ROOT/usr/jabber/bin
install -m 0755 janchor.pl $RPM_BUILD_ROOT/usr/jabber/bin
ln -s janchor.pl $RPM_BUILD_ROOT/usr/jabber/bin/jabberd-janchor
install -m 0644 janchor.xml $RPM_BUILD_ROOT/etc/jabber/janchor.xml.dist
touch $RPM_BUILD_ROOT/etc/jabber/janchor.xml; chmod 0640 $RPM_BUILD_ROOT/etc/jabber/janchor.xml
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd-janchor


%pre
if [ ! -e /etc/jabber ]; then
  /bin/mkdir /etc/jabber
fi
/bin/chmod 0750 /etc/jabber
/bin/chown root:jabber /etc/jabber


%post
/bin/chown root:jabber /etc/jabber/janchor.xml
/sbin/chkconfig --add jabberd-janchor
/sbin/chkconfig jabberd-janchor on
if [ -s /etc/jabber/janchor.xml ]; then
  if [ -f /var/lock/subsys/jabberd-janchor ]; then
    /etc/rc.d/init.d/jabberd-janchor restart
  else
    /etc/rc.d/init.d/jabberd-janchor start
  fi
else
  echo "RSS delivery component installed. Please consult the README for configuration details."
  echo "Don't forget to create a directory named <janchor-hostname> in /var/spool/jabber!"
fi


%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig jabberd-janchor off
  /sbin/chkconfig --del jabberd-janchor
  if [ -f /var/lock/subsys/jabberd-janchor ]; then
    /etc/rc.d/init.d/jabberd-janchor stop
  fi
fi


%postun
if [ $1 = 0 ]; then
  echo "RSS delivery component deinstalled. Please remove all references from your jabber config!"
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING *.html
/etc/rc.d/init.d/*
%config(noreplace) %attr(0640,root,jabber) /etc/jabber/*.xml
/etc/jabber/*.dist
/usr/jabber/bin/*


%changelog
* Tue Jul 20 2005 peter.pramberger@member.fsf.org
- created

